[Unit]
Description=Hungryroot GitHub email -> ntfy notifications
After=network-online.target
Wants=network-online.target

[Service]
Type=simple
ExecStart=%h/.local/bin/hungryroot-notifications-wrapper
Restart=always
RestartSec=5

Environment=IMAP_HOST=imap.unbl.ink
Environment=IMAP_USER=hungryroot@unbl.ink

Environment=NTFY_BASE=https://ntfy.unbl.ink
Environment=NTFY_TOPIC=hroot-notifications
Environment=POLL_SECONDS=20

StandardOutput=journal
StandardError=journal

[Install]
WantedBy=default.target

